=== debian/changelog ===
circuit-macros (10.1.4-1) unstable; urgency=medium

  * New upstream version.
  * Update standards version from 4.6.1 to 4.6.2.
  * Update copyright from 2022 to 2023.

 -- Aniol Martí <amarti@caliu.cat>  Tue, 24 Jan 2023 11:45:10 +0200
