=== debian/rules ===
#!/usr/bin/make -f
PACKAGE = $(shell dh_listpackages)

%:
	dh $@

override_dh_auto_build:

override_dh_auto_install:

override_dh_link:
	dh_link
	find -type f -print0 debian/$(PACKAGE)/usr | sort -z | xargs -0r jdupes -Ol
