=== debian/tests/control ===
Tests: m4-to-tex.sh
Depends: circuit-macros, m4, groff-base, dpic
