=== debian/watch ===
version=4
https://ece.uwaterloo.ca/~aplevich/Circuit_macros/Circuit_macros(.+).tar.gz
